Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.lang
Class WriterPolicy

    java.lang.Object
      jif.lang.AbstractPolicy
          jif.lang.WriterPolicy

All Implemented Interfaces:
  IntegPolicy, Policy

    public class WriterPolicy

extends AbstractPolicy
implements IntegPolicy

Field Summary

Fields inherited from class jif.lang.AbstractPolicy
`labelUtil`

Constructor Summary
`WriterPolicy(LabelUtil labelUtil, Principal owner, Principal writer)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`IntegPolicy` | `join(IntegPolicy p)`
`IntegPolicy` | `join(IntegPolicy p, java.util.Set s)` Return the join of this policy and p.
`IntegPolicy` | `meet(IntegPolicy p)`
`IntegPolicy` | `meet(IntegPolicy p, java.util.Set s)` Return the meet of this policy and p.
`Principal` | `owner()`
`boolean` | `relabelsTo(Policy p, java.util.Set s)` Does this policy relabel to policy p? If this method returns true, then all delegations that this result depend upon (i.e., DelegationPairs) should be added to the set s.
`java.lang.String` | `toString()`
`Principal` | `writer()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WriterPolicy

    public WriterPolicy(LabelUtil labelUtil,
                        Principal owner,
                        Principal writer)

Method Detail

### owner

    public Principal owner()

### writer

    public Principal writer()

### relabelsTo

    public boolean relabelsTo(Policy p,
                              java.util.Set s)

  Description copied from interface: `Policy`
  Does this policy relabel to policy p? If this method returns true, then all delegations that this result depend upon (i.e., DelegationPairs) should be added to the set s. If this method returns false, then the set is not altered at all.

  Specified by:
    `relabelsTo` in interface `Policy`
  Returns:

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `AbstractPolicy`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in class `AbstractPolicy`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### join

    public IntegPolicy join(IntegPolicy p,
                            java.util.Set s)

  Description copied from interface: `IntegPolicy`
  Return the join of this policy and p. The set s contains all delegations (i.e., DelegationPairs) that this join result depends upon.

  Specified by:
    `join` in interface `IntegPolicy`

### meet

    public IntegPolicy meet(IntegPolicy p,
                            java.util.Set s)

  Description copied from interface: `IntegPolicy`
  Return the meet of this policy and p. The set s contains all delegations (i.e., DelegationPairs) that this meet result depends upon.

  Specified by:
    `meet` in interface `IntegPolicy`

### join

    public IntegPolicy join(IntegPolicy p)

  Specified by:
    `join` in interface `IntegPolicy`

### meet

    public IntegPolicy meet(IntegPolicy p)

  Specified by:
    `meet` in interface `IntegPolicy`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD